| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Macros | Variables
DC2289AA.ino File Reference
Analog-to-Digital Converters (ADC) » LTC2380-24: Low Noise, High Speed, 24-Bit SAR ADC With Digital Filter

LTC2380-24: Low Noise, High Speed, 24-Bit SAR ADC With Digital Filter. More...

## Detailed Description

LTC2380-24: Low Noise, High Speed, 24-Bit SAR ADC With Digital Filter.

http://www.linear.com/product/LTC2380-24

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file DC2289AA.ino.

Go to the source code of this file.

## Functions
static void | print_title ()
| Prints the title block when program first starts. More...
static void | print_prompt ()
| Prints main menu. More...
static void | menu_1_read_input ()
| Read Input voltage. More...
static void | menu_2_select_gain_compression ()
| Select gain compression. More...
static void | configureCNV ()
| Function to configure CNV pin as an output. More...
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Repeats Linduino loop. More...

## Macros
#define | LTC2380_CNV QUIKEVAL_CS

## Variables
static uint8_t | LTC2380_dgc = 0
| Default set for no gain compression. More...
static float | LTC2380_vref = 10
static float | voltage

## Function Documentation

## ◆ configureCNV()

static void configureCNV | ( |  | ) |
| static

Function to configure CNV pin as an output.

Definition at line 188 of file DC2289AA.ino.

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Repeats Linduino loop.

Definition at line 87 of file DC2289AA.ino.

## ◆ menu_1_read_input()

static void menu_1_read_input | ( |  | ) |
| static

Read Input voltage.

Returns
  void

Definition at line 114 of file DC2289AA.ino.

## ◆ menu_2_select_gain_compression()

static void menu_2_select_gain_compression | ( |  | ) |
| static

Select gain compression.

Returns
  void

Definition at line 135 of file DC2289AA.ino.

## ◆ print_prompt()

static void print_prompt | ( |  | ) |
| static

Prints main menu.

Definition at line 164 of file DC2289AA.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

Prints the title block when program first starts.

Definition at line 173 of file DC2289AA.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Definition at line 74 of file DC2289AA.ino.

## Macro Definition Documentation

## ◆ LTC2380_CNV

#define LTC2380_CNV QUIKEVAL_CS

Definition at line 58 of file DC2289AA.ino.

## Variable Documentation

## ◆ LTC2380_dgc

uint8_t LTC2380_dgc = 0
| static

Default set for no gain compression.

Definition at line 69 of file DC2289AA.ino.

## ◆ LTC2380_vref

float LTC2380_vref = 10
| static

Definition at line 70 of file DC2289AA.ino.

## ◆ voltage

float voltage
| static

Definition at line 71 of file DC2289AA.ino.